com.dlsc.flexgantt.swing

## Enum MessageTypeId

- java.lang.Object
- - java.lang.Enum<MessageTypeId>
  - - com.dlsc.flexgantt.swing.MessageTypeId

- All Implemented Interfaces:
    Serializable, Comparable<MessageTypeId>

      public enum MessageTypeId
      extends Enum<MessageTypeId>

  A message type ID is used to distinguish different types of user messages. A message can be sent to simply inform the, it can be sent to warn the user, or it can be sent to report errors to the user.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    `Message`, `TreePathMessage`, `TimelineObjectPathMessage`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` Used for messages that contain an error message.
    `INFORMATION` Identifies messages that have a purely informational character.
    `WARNING` Used for messages that contain a warning message.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageTypeId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageTypeId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INFORMATION

          public static final MessageTypeId INFORMATION

      Identifies messages that have a purely informational character.
      Since:
        1.0

    - #### WARNING

          public static final MessageTypeId WARNING

      Used for messages that contain a warning message.
      Since:
        1.0

    - #### ERROR

          public static final MessageTypeId ERROR

      Used for messages that contain an error message.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static MessageTypeId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageTypeId c : MessageTypeId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageTypeId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.